/******************************************************************************/
/*          ______  ___   ______  ___   __________   ______                   */
/*          ___   |/  /   ___   |/  /   ___  ____/   __<  /                   */
/*          __  /|_/ /    __  /|_/ /    __  /_       __  /                    */
/*          _  /  / /     _  /  / /     _  __/       _  /                     */
/*          /_/  /_/      /_/  /_/      /_/          /_/                      */
/*                                                                (2010/2011) */
/******************************************************************************/
/*  Program ispituje preciznost racunala: trazi maksimalini pozitivni broj eps*/
/*  do na faktor 2 za koji je 1.+eps =1.                                      */
/*                                                                            */
/******************************************************************************/

#include<stdio.h>      // Deinirane standardne ulazno, izlazne funkcije
#include<stdlib.h>     // Deinirana nama potrebna funkcija za pauziranje

#define N    60        // Broj iteracija
#define fakt  2        // Preciznost do na faktor

int main(void){
  FILE *fout;	
  float eps=1.0, one;
  int i;
  
  fout = fopen("preciznost.dat", "w");
  fprintf(fout,"%40s\n","#                  1.+eps                      eps");
  fprintf(fout,"%40s\n","#  ----------------------   ----------------------");
  printf("%50s\n","#                  1.+eps                      eps");
  printf("%50s\n","#  ----------------------   ----------------------");
  for(i=0; i<N; i++){
    eps  /= 2.;
    one=1.0+eps;
    printf("%25.18f%25.16e\n",one, eps);
    fprintf(fout,"%25.18f%25.16e\n",one, eps);
  }
  fclose (fout);

  system("PAUSE");
  return 0;
}
